แนะนำเบื้องต้น

InfraRecorder
แนะนำเบื้องต้น

ยินดีต้อนรับ

ขอบคุณสำหรับการติดตั้ง InfraRecorder! InfraRecorder คือโปรแกรมฟรีเพื่อการเบิร์นซีดี สำหรับไมโครซอฟท์วินโดวส์

แนะนำพอสังเขป

ความสามารถอย่างคร่าวๆ
ข้อตกลงใบอนุญาต
ความต้องการของระบบ
เริ่มต้นอย่างรวดเร็ว
ลิขสิทธิ์
กิตติกรรมประกาศ
มีอะไรใหม่
การติดตั้ง


ความสามารถอย่างคร่าวๆ

InfraRecorder
ความสามารถอย่างคร่าวๆ

หน้านี้แสดงรายการความสามารถซึ่งจำเป็นมากที่สุดของ InfraRecorder

ความสามารถหลัก

  • สร้างข้อมูลของผู้ใช้เอง ทั้งเพลงและโปรเจ็คในโหมดผสมและบันทึกเป็น คอมแพกต์ดิสก์ทางกายภาพหรืออิมเมจดิสก์
  • สร้างและบันทึกดิสก์อิมเมจ
  • คัดลอกดิสก์โดยตรง แบบอ่านไปเขียนไปหรือโดยใช้อิมเมจดิสก์ชั่วคราว
  • ลบดิสก์แบบเขียนได้ โดยใช้สี่วิธีที่ต่างกัน
  • นำเข้าช้อมูลเซสชันจากดิสก์มัลติเซสชันและเพิ่มเซสชันลงไปบนดิสก์อีก
  • Fixate discs (write lead-out information to prevent further data from beeing added to the disc).
  • สแกนบัส SCSI/IDE สำหรับอุปกรณ์และรวบรวมข้อมูลรายละเอียด เกี่ยวกับความสามารถต่างๆ
  • แสดงข้อมูลรายละเอียดของดิสก์
  • อ่านและบันทึกแทร็คเสียงและข้อมูลเป็นไฟล์ (wav. และ .iso)
  • สแกนแทร็คที่เลือกเพื่อหาข้อผิดพลาด

สภาพแวดล้อม

  • หน้าตาโปรแกรมแบบทันสมัยเข่นเดียวกับ Windows Explorer
  • ใช้การลากและปล่อยไฟล์จาก explorer view ของโปรแกรมและหน้าต่าง Explorer ไปยัง project view
  • ใช้ poject view ที่แตกต่างสำหรับชนิดที่แตกต่างของโปรเจ็คเพื่อ สร้างรูปแบบการทำงานของผู้ใช้อย่างง่ายๆ
  • แยกความสามารถ ของโปรแกรม express ซึ่งออกแบบมาเพื่อเป็นไกด์ให้ผู้ใช้ ที่ต้องการเครื่องมือซึ่งจำเป็นมากที่สุดและง่ายใช้ง่ายและรวดเร็วเท่าที่จะเป็นไปได้
  • การแปลส่วนติดต่อผู้ใช้อย่างเต็มรูปแบบสำหรับโปรแกรมหลัก โปรแกรม express และการทำงานร่วมกับวินโดวส์

การทำงานร่วมกับ Explorer

การทำงานร่วมกับ explorer และเพิ่มตัวเลือกใหม่ในเมนู

  • เก็บบันทึกโปรเจ็คและดิสก์อิมเมจ
  • เปิดและแก้ไขโปรเจ็คที่บันทึกไว้แล้ว
  • สามารถเรียกใช้งานเมนูย่อยได้อย่างรวดเร็วโดยไม่ต้องใช้ผ่านไอคอนเมนู
  • สามารถลงทะเบียนชนิดไฟล์ต่างๆ ตามที่ผู้ใช้ต้องการ


ข้อตกลงใบอนุญาต

InfraRecorder
ข้อตกลงใบอนุญาต

GNU GENERAL PUBLIC LICENSE

Version 2, June 1991

Copyright (C) 1989, 1991 Free Software Foundation, Inc. 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.

Preamble

The licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users. This General Public License applies to most of the Free Software Foundation's software and to any other program whose authors commit to using it. (Some other Free Software Foundation software is covered by the GNU Lesser General Public License instead.) You can apply it to your programs, too.

When we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.

To protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.

For example, if you distribute copies of such a program, whether gratis or for a fee, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.

We protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.

Also, for each author's protection and ours, we want to make certain that everyone understands that there is no warranty for this free software. If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors' reputations.

Finally, any free program is threatened constantly by software patents. We wish to avoid the danger that redistributors of a free program will individually obtain patent licenses, in effect making the program proprietary. To prevent this, we have made it clear that any patent must be licensed for everyone's free use or not licensed at all.

The precise terms and conditions for copying, distribution and modification follow.

TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION

0. This License applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this General Public License. The "Program", below, refers to any such program or work, and a "work based on the Program" means either the Program or any derivative work under copyright law: that is to say, a work containing the Program or a portion of it, either verbatim or with modifications and/or translated into another language. (Hereinafter, translation is included without limitation in the term "modification".) Each licensee is addressed as "you".

Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running the Program is not restricted, and the output from the Program is covered only if its contents constitute a work based on the Program (independent of having been made by running the Program). Whether that is true depends on what the Program does.

1. You may copy and distribute verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and give any other recipients of the Program a copy of this License along with the Program.

You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.

2. You may modify your copy or copies of the Program or any portion of it, thus forming a work based on the Program, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:

a) You must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.
b) You must cause any work that you distribute or publish, that in whole or in part contains or is derived from the Program or any part thereof, to be licensed as a whole at no charge to all third parties under the terms of this License.
c) If the modified program normally reads commands interactively when run, you must cause it, when started running for such interactive use in the most ordinary way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the program under these conditions, and telling the user how to view a copy of this License. (Exception: if the Program itself is interactive but does not normally print such an announcement, your work based on the Program is not required to print an announcement.)

These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Program, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Program, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.

Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Program.

In addition, mere aggregation of another work not based on the Program with the Program (or with a work based on the Program) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.

3. You may copy and distribute the Program (or a work based on it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you also do one of the following:

a) Accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,
b) Accompany it with a written offer, valid for at least three years, to give any third party, for a charge no more than your cost of physically performing source distribution, a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,
c) Accompany it with the information you received as to the offer to distribute corresponding source code. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form with such an offer, in accord with Subsection b above.)

The source code for a work means the preferred form of the work for making modifications to it. For an executable work, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the executable. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.

If distribution of executable or object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place counts as distribution of the source code, even though third parties are not compelled to copy the source along with the object code.

4. You may not copy, modify, sublicense, or distribute the Program except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense or distribute the Program is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.

5. You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Program or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Program (or any work based on the Program), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Program or works based on it.

6. Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.

7. If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Program at all. For example, if a patent license would not permit royalty-free redistribution of the Program by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Program.

If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply and the section as a whole is intended to apply in other circumstances.

It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system, which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.

This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.

8. If the distribution and/or use of the Program is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Program under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.

9. The Free Software Foundation may publish revised and/or new versions of the General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.

Each version is given a distinguishing version number. If the Program specifies a version number of this License which applies to it and "any later version", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of this License, you may choose any version ever published by the Free Software Foundation.

10. If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.

NO WARRANTY

11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

END OF TERMS AND CONDITIONS

How to Apply These Terms to Your New Programs

If you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.

To do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the "copyright" line and a pointer to where the full notice is found.

one line to give the program's name and an idea of what it does.
Copyright (C) yyyy name of author

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

Also add information on how to contact you by electronic and paper mail.

If the program is interactive, make it output a short notice like this when it starts in an interactive mode:

Gnomovision version 69, Copyright (C) year name of author
Gnomovision comes with ABSOLUTELY NO WARRANTY; for details
type `show w'.  This is free software, and you are welcome
to redistribute it under certain conditions; type `show c'
for details.

The hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, the commands you use may be called something other than `show w' and `show c'; they could even be mouse-clicks or menu items--whatever suits your program.

You should also get your employer (if you work as a programmer) or your school, if any, to sign a "copyright disclaimer" for the program, if necessary. Here is a sample; alter the names:

Yoyodyne, Inc., hereby disclaims all copyright
interest in the program `Gnomovision'
(which makes passes at compilers) written
by James Hacker.

signature of Ty Coon, 1 April 1989
Ty Coon, President of Vice

This General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License.


ความต้องการของระบบ

InfraRecorder
ความต้องการของระบบ

InfraRecorder มีความต้องการของระบบดังต่อไปนี้:

  • วินโดวส์ 95 พร้อม Internet Explorer 5.0 หรือใหม่กว่า
  • แรม 32 MiB
  • พื้นที่ว่างบนดิสก์ 8.1 MiB ขึ้นไป


เริ่มต้นอย่างรวดเร็ว

InfraRecorder
เริ่มต้นอย่างรวดเร็ว

วิธีใช้?

เริ่มต้น
ดิสก์มัลติเซสชัน
คัดลอกดิสก์ข้อมูล
คัดลอกดิสก์เสียง(เพลง)
ลบดิสก์ที่เขียนซ้ำได้
แสดงข้อมูลดิสก์
ตั้งค่าอุปกรณ์


ลิขสิทธิ์

InfraRecorder
ลิขสิทธิ์

InfraRecorder copyright © 2006-2007 Christian Kindahl

InfraRecorder works in co-operation with the following software:

  • cdrecord, readcd copyright © 1995-2006 Jörg Schilling.
  • isoinfo, mkisofs โดย Eric Youngdale และ Jörg Schilling
  • cdda2wav โดย Project MODE และ Fraunhofer Institut für integrierte Schaltungen


กิตติกรรมประกาศ

InfraRecorder
กิตติกรรมประกาศ

InfraRecorder uses icons and derivate work based on the icons in the Tango Icon Project. The derivative work based on the Tango Icons can be separateley downloaded (under the Creative Commons Attribution Share-Alike license) from the official InfraRecorder website.


มีอะไรใหม่

InfraRecorder
มีอะไรใหม่?

รุ่น 0.44.1.0

  • Introduced alternate ways of fetching recorder write speeds. This solves the "disabled OK button problem".
  • Added support for reloading laptop drives (drives that can not automatically load themselves) before starting the disc verifiation process.
  • Corrected a version display error in the log system.

รุ่น 0.44.0.0

  • Added a warning message when disabling disc fixation since some users believes that this will create a multi-session disc.
  • It's now possible to perform a disc copy using the same device as source and target.
  • Updated drive speed detection routines, it should now detect correct speeds depeding on the inserted media.
  • Improved the media removal/insertion auto detection routines.
  • Added support for switching through the controls of the main view using the tab key.
  • Fixed a bug causing InfraRecorder to crash on Windows 9x systems when changing folder in the explorer view.
  • Added menu items for selecting all files and inverting the file selection.
  • Fixed a bug causing negative progress to be displayed in some cases.
  • Updated InfraRecorder to correctly maximize on startup, if closed maximized.
  • Added a website button to the about window.
  • Fixed a project file rename bug.
  • Made the toolbar customizable in several ways.
  • Improved project file handling, no duplicate files or folders are allowed.
  • The program configuration is now stored in the application data folder. A new portable version of InfraRecorder has been created where data is stored in the program folder.
  • Greatly improved drag and drop functionality.
  • Included a Norwegian translation, thanks to Karol Ptasinski!
  • Updated the help file with index and search capabilities.
  • Fixed a bug causing InfraRecorder to try to verify files that where imported from previous sessions.
  • Fixed a bug causing the disc to be ejected (if requested) before starting the disc verification process.
  • Fixed a bug causing incompatibility with Windows 9x systems due to a function call to SHGetFolderPathA.

รุ่น 0.43.1.0

  • Updated the cdrtools to version 2.01.01a26.
  • Included a Finnish translation, thanks to Rami Aalto!
  • Removed the error message related to ckEffects.exe.
  • Improved the erase feature with support for more recorders.
  • Fixed a bug causing the size and position of the main window not to be remembered.
  • Fixed a bug causing the explorer view to turn white when double-clicking on a folder in the explorer list view (Windows XP only).
  • Improved the program log functionality.
  • Fixed a bug making it impossible to import sessions from certain disc types.
  • Improved the explorer view performance. Expanding anything under "My Computer" in the tree could on some systems result in a long delay because of slow queries to floppy drives.

รุ่น 0.43.0.0

  • Fixed a bug raising an exception when re-ordering audio tracks.
  • Added a smoke effect when writing to a disc (requires Windows Vista Aero to be enabled).
  • Fixed a few bugs causing wrong disc information to be shown in the disc information window.
  • Various adaptations for Windows Vista.
  • Added support for dropping files into the project tree view.
  • Completely rewritten disc erase/format code. Improved DVD±RW and DVD-RAM support.
  • Included a Catalan translation, thanks to Josep Lluํs Amador Teruel!
  • Included a Galician translation, thanks to Xes๚s Est้vez!
  • Fixed a bug causing InfraRecorder to have invalid window coordinates closed while minimized.
  • Included a Romanian translation, thanks to Nicolae Crefelean!
  • Removed the Visual C++ 8 DLL dependencies from the shell extension.
  • Included a Hungarian translation, thanks to Tibor Sแrkแny!
  • Included a Hebrew translation, thanks to Shemesh!
  • Included a Danish translation, thanks to Patrick Fust!
  • Fixed a bug causing all internal SCSI commands not to be executed in the x64 build of InfraRecorder.

รุ่น 0.42.1.0

  • The MSI installer used for the x64 release now creates the start-menu shortcuts in a subfolder.
  • Fixed a bug causing InfraRecorder to crash when cdrecord reported recording on a track-number higher than the number of tracks to be recorded.
  • Removed the Visual C++ 8 DLL dependencies from the irWave codec.
  • Fixed a bug causing stack corruption when using the irWMA codec.

รุ่น 0.42.0.0

  • Available as 64-bit (x64) build.
  • Created a completely new Wave codec to remove the libsndfile dependency and add support for the x64 compiler.
  • Modifed the translation system to allow translated controls to automatically resize and move its neightbours when needed.
  • Various changes for Windows Vista compatibility.
  • Modified the WMA codec so it doesn't raise an error message when it fails to load (if Windows Media Player not installed).
  • Included a Japanese translation, thanks to Nardog!
  • Fixed a bug causing DVD media to always be recorded at maximum speed.
  • Included a Korean translation, thanks to Jung Jin-ho!
  • Included a Bulgarian translation, thanks to Iliyan Popov!
  • Separated data DVD from data CD projects.
  • Added support for omiting version numbers from ISO9660 file names.
  • Added support for using Rock Ridge extensions without using the Joliet file name extension.
  • Fixed a bug causing the write speed not to be properly reported on some recorders.
  • Added support for column sorting.
  • Added support for rearranging audio tracks by drag and drop.
  • Included a Serbian (Cyrillic and Latin) translation, thanks to ozzii!
  • Added support for automatically verifying a disc after it has been recorded.
  • Made the labels on the progress dialog double buffered to avoid flickering.
  • Fixed a bug causing the cp1250 code page not to be properly detected on Czech systems.
  • Added support for creating DVD-Video projects.
  • Included a Slovak translation, thanks to Marek!
  • Fixed a bug causing problems when importing certain seasons from multi-session discs.
  • Fixed a bug causing project UDF-settings not to be properly reset when creating a new project.
  • Fixed a bug causing error messages not to be properly displayed when recording custom projects on the fly.
  • Included a Chinese (Traditional) translation, thanks to Charlie!

รุ่น 0.41.0.0

  • Fixed a bug causing the space meter to display inaccurate file sizes on audio files in mixed-mode projects.
  • Due to limitations in the Microsoft Windows 9x Unicode Layer, a non-unicode version of InfraRecorder is released separateley.
  • Added support for disabling the error message that occurs when a codec fails to load.
  • Added support for generating DVD-Video compliant filesystems.
  • Added support for UDF.
  • Added support for creating bootable data discs.
  • Fixed a major bug preventing some projects from beeing properly loaded.
  • Included a Bosnian translation, thanks to Asim Husanovic!
  • Added an option to change the detected write speed of a recorder.
  • Changed the recorder speed management to now allow a larger number of write speeds below the maximum speed.
  • Added write method information to the advanced device details.
  • Fixed a bug causing a wrong character set to be detected on systems using code page 1251.
  • Fixed a bug causing bogus unix file permissions to be set when recording custom projects using the Joliet name extension.
  • Improved the project space meter.
  • Added support for recording custom projects on the fly.
  • Fixed a bug causing a temporary file not to be removed when copying a disc.
  • Added support for disabling the unsupported character set error message.
  • Fixed a bug causing the space meter tooltip to display the size information in bytes instead of minutes when dealing with audio projects.
  • Included a Slovenian translation, thanks to Frani iek!
  • Included a Ukrainian translation and manual, thanks to Serhij Dubyk!
  • The advanced device properties list now correctly displays titletip when a feature description is to long to be fully displayed.
  • Fixed a bug causing empty directories to be ignored when creating and recording custom projects.
  • Fixed a bug causing files that has equal characters in the file name to raise an error when creating a disc image.
  • Included a Portuguese (Brazilian) translation, thanks to ษder Silva!
  • Included a Chinese (Simplified) translation, thanks to DouDeHou!
  • Added more read options (ignore read errors, read sub-channel data and TOC, read speed).
  • Added support for disc cloning.
  • Added support for changing the FIFO buffer size.
  • Added support for ISO level 4 which among many thigs allows directory nesting to be deeper than eight levels.

รุ่น 0.40.0.0

  • Included a Czech translation, thanks to khagaroth!
  • Improved DVD-support (official cdrtools has DVD support since version 2.01.01a09).
  • Simulation mode now works when recording to DVDs.
  • Support for blanking DVD+RW media (currently only with Ricoh based drives).
  • The size and position of the main InfraRecorder window is now remembered and restored each startup.
  • Included a Basque translation, thanks to David Garcํa-Abad!
  • Added support for encoding audio tracks to Ogg, WMA and MP3 (separate package due to patent issue).
  • Fixed a bug causing the wrong tracks to be displayed when scanning a disc for errors.
  • Added support for decoding MP3, Ogg and WMA audio.
  • Included a German manual, thanks to CE4!
  • Included an Italian translation, thanks to Lorenzo Festa!
  • Fixed bug with message boxes, they should now be modal.
  • Added support for translated manuals.
  • Changed the default simulation value to off.
  • Added an option for changing the temporary folder.
  • Added help documentation on how to make the InfraRecorder installer perform unattended installations.
  • The installer now adds an entry to Add/Remove Programs.
  • Added support for selecting installation language on unattended installations.
  • Included a Russian translation and manual, thanks to Roman Starikh!
  • Included a German translation, thanks to Thomas Bigler!
  • Included a Polish translation, thanks to DJD!
  • Included a Turkish translation, thanks to Fatma Akarslan!
  • Included a Croatian translation, thanks to Tibor Keser!
  • Included a Dutch translation, thanks to Patrick!

รุ่น 0.31.0.0

  • Included a Portuguese translation, thanks to Cesar Baptista!
  • Included a Spanish translation, thanks to Eduardo Leon!
  • Increased the height of all comboboxes in the GUI to prevent unnecessary scrolling.
  • Fixed some GUI glitches causing black and purple backgrounds on some graphics (only affected systems older than Windows XP).
  • Added a tooltip to the space meter which displays the project size.
  • Added support for pasting files from Windows Explorer into a project.
  • Fixed a bug allowing multiple sessions to imported to a project.

รุ่น 0.30.0.83

  • Fixed a bug (static linking to UpdateLayeredWindow in user32.dll) causing incompatibility with Windows 9x systems.

รุ่น 0.30.0.82 (Beta 2)

  • Added DVD support by patching cdrecord (WARNING: Simulation mode is known not to work when burning DVDs).
  • Included a French translation, thanks to Pierre-Jean Coudert!
  • Changed the default write method to SAO because of DVD compatibility.
  • Updated the installer with extra options and multi-language support.
  • Added a couple of new translateable strings for the progress log output.
  • Made some directory layout changes to the CVS.


การติดตั้ง

InfraRecorder
การติดตั้ง

ชุดติดตั้ง The InfraRecorder สนับสนุนข้อกำหนดที่แตกต่าง/ตัวแปรสำหรับ การติดตั้งที่ไม่เข้าร่วม ตัวแปรดังต่อไปนี้สามารถใช้ในการติดตั้งได้:

/S
เรียกใช้การติดตั้งหรือ (หรือถอนการติดตั้ง) อย่างเงียบ ตัเวลือกทั้งหมดจะใช้ค่าเริ่มต้น ตัวเลือกอื่นจะใช้ตามตัวแปรที่ป้อนต่อจากนี้

/LANGUAGE=<ภาษา>
เลือกภาษาที่ InfraRecorder จะใช้ ตัวอย่างเช่น: "irsetup.exe /S /LANGUAGE=thai" จะติดตั้ง InfraRecorder ในโหมดเงียบพร้อมทั้งตั้งค่าภาษาพื้นฐานเป็น ภาษาไทย ของเรา


เริ่มต้น

วิธีใช้?, การทำงานกับโปรเจ็ค
เริ่มต้น

This topic will help you get started with your first custom CD project. InfraRecorder currently supports three kinds of projects.

Data Disc projects are used for creating discs that contains files and folders (using the ISO9660 filesystem) that can be used on almost any computer. Data discs does not hold as much data per sector as audio discs due to the fact that data discs also stores addition error-check/correction data. As a result of this, data discs can be recorded in higher speed without necessary loose any quality/data. Data discs can be created in multiple steps, allowing data to be added to existing CDs. See this topic for more information on the subject.

Audio Disc projects are used for creating audio discs that will play in any CD-player (and computer). Audio projects should normally be recorded at lower write speeds than data projects because audio discs does not contain any error-checking/correction data.

Mixed-Mode CD projects are used for creating discs that contains one first data track which shares the features of a Data Disc project followed by a number of audio tracks. A Mixed-Mode CD will play in any CD-player, but the first (data) track will sound like noise. The audio tracks will play as normal.

เพื่อสร้างโปรเจ็คใหม่ ใช้เมนู:
แฟ้ม [image] โปรเจ็คใหม่ [image] <เลือกชนิด ของโปรเจ็คที่คุณต้องการสร้าง>
เพื่อเปิดโปรเจ็คที่มีอยู่, ใช้เมนู:
แฟ้ม [image] เปิดโปรเจ็ค...
หรือใช้ปุ่มนี้บนแถบเครื่องมือ:

InfraRecorder projects can be recorded directly to a physical compact disc or to a disc image. A disc image is a file stored on your computer that contains all the file data that you have added to your project (with exception for audio tracks in Mixed-Mode and Audio projects). A disc image can be recorded at a later time. See this topic for more information.

To record your project to a compact disc, you can use the menu:
งาน [image] เบิร์นรายการ [image] ไปยังคอมแพกต์ดิสก์...
หรือใช้ปุ่มนี้บนแถบเครื่องมือ:

รายละเอียดของตัวเลือกการบันทึกสามารถดูได้ที่หัวข้อ นี้

สภาพแวดล้อม

ทั่วไป

แถบเครื่องมือ Explorer View ใช้ในการดูและเลือกเพื่อเพิ่มไฟล์ไปยัง โปรเจ็คของคุณ
แถบเครื่องมือ Disc Layout ใช้ในการแสดงและจัดการโปรเจ็ค

การจัดการไฟล์

เมนู แก้ไข ถูกใช้เพื่อการจัดการไฟล์ในโปรเจ็ค:
The options available from the edit menu (above) are also avaiable for faster access by right-clicking in the project view. For example if your right-click on a folder this menu will appear:
If you add more data to your project than what the selected media can contain, the space meter at the bottom of the view will turn red:
The space meter will turn orange if the amount of data added to the project exceeds the offical size of the media but will probably fit on the media if recorded with overburn enabled:

You can change the space meter size to match the actual size of the blank disc that you will record your project on. To do so, right click on the space meter and select the apropriate media size.

การจัดการไฟล์

เพิ่มไฟล์

มีวิธีที่แตกต่างมากมายหลายวิธีในการเพิ่มไฟล์ไปยังโปรเจ็คของคุณ คุณสามารถใช้ การลากไปปล่อยจาก Explorer View และจาก Windows Exlporer คุณยังสามารถเลือกจาก Explore View และเลือกไฟล์ที่คุณต้องการจาก เพิ่มไปยังโปรเจ็คของคุณได้

เมื่อคุณได้เลือกไฟล์ที่คุณต้องการ, คุณสามารถใช้เมนู:
แก้ไข [image] เพิ่ม [image] ที่เลือก
หรือใช้ปุ่มนี้บนแถบเครื่องมือ Explorer View:

คุณสามารถใช้ Explorer View ในการเรียกดูไฟล์และโฟลเดอร์เพื่อเพิ่ม ไปยังโปรเจ็คของคุณได้อย่างรวดเร็ว

เพื่อเพิ่มไฟล์และโฟลเดอร์ทั้งหมดที่กำลังดูในโฟลเดอร์ Explorer View, ใช้เมนู:
แก้ไข [image] เพิ่ม [image] ทั้งหมด
หรือใช้ปุ่มนี้บนแถบเครื่องมือ Explorer View:

ลบไฟล์

มีหลายวิธีในการลบไฟล์และโฟลเดอร์ออกจากโปรเจ็คของคุณ วิธีที่หนึ่ง กดปุ่ม delete บนคีย์บอร์ด คุณยังสามารถใช้เมนู หรือปุ่มแถบเครื่องมือ

ในการลบไฟล์โดยใช้เมนู, ทำดังต่อไปนี้:
แก้ไข [image] ลบ
คุณยังสามารถใช้ปุ่มนี้บนแถบเครื่องมือ Disc Layout ได้อีกด้วย:

คำสั่งอื่นๆ

เพื่อเปลี่ยนชื่อไฟล์หรือโฟลเดอร์, ใช้เมนู:
แก้ไข [image] เปลี่ยนชื่อ
หรือใช้ปุ่มนี้บนแถบเครื่องมือ Disc Layout:
เพื่อเพิ่มโฟลเดอร์ว่างเปล่าใหม่ไปยังโปรเจ็คของคุณ, ใช้เมนู:
แก้ไข [image] โฟลเดอร์ใหม่
หรือใช้ปุ่มนี้บนแถบเครื่องมือ Disc Layout:


ดิสก์มัลติเซสชัน

วิธีใช้?, การทำงานกับโปรเจ็ค
ดิสก์มัลติเซสชัน

ดิสก์มัลติ-เซสชันคือดิสก์ที่บรรจุหลายเซสชัน(คือดิสก์ที่เขียนได้เหลายครั้ง) ดิสก์มัลติ-เซสชันสามารถถูกบันทึกในหลายขั้นตอนโดยการบันทึกหนึ่งเซสชัน ต่อครั้ง

การสร้างใหม่ดิสก์ดิสก์มัลติ-เซสชัน

การสร้างใหม่ดิสก์ดิสก์มัลติ-เซสชันนั้นง่ายมาก เพื่อสร้างใหม่ดิสก์ดิสก์มัลติ-เซสชัน สร้างโปรเจ็คใหม่ข้อมูล:
แฟ้ม [image] โปรเจ็คใหม่ [image] ดิสก์ข้อมูล
เปิดคุณสมบัติโปรเจ็ค:
แฟ้ม [image] คุณสมบัติของโปรเจ็ค...
เลือกแถบ ISO และเปลี่ยน รูปแบบ เป็น:
โหมด 2 XA (มัลติเซสชัน)

ตอนนี้คุณสามารถเพิ่มไฟล์และโฟลเดอร์ไปยังโปรเจ็คของคุณได้ตามปรกติ ดูหัวข้อ นี้ สำหรับข้อมูลเพิ่มเติมเกี่ยวกับ วิธีทำงานกับโปรเจ็ค

ทำดิสก์มัลติเซสชันต่อ

เพื่อเพิ่มข้อมูลไปยังดิสก์มัลติเซสชันที่มีอยู่คุณต้องนำเข้า ข้อมูลเซสชันที่มีอยู่ไปที่โปรเจ็คของคุณ เพื่อทำดังนั้น, ใช้เมนู:
งาน [image] นำเข้าเซสชัน...

จะแสดงหน้าต่างให้คุณเลือกอุปกรณ์ และแสดงจำนวนที่ใช้ไป และพื้นที่ว่างที่เหลืออยู่บนดิสก์ ถ้าปุ่ม ตกลง เป็นสีเทานั้นหมายถึงดิสก์นั้นไม่สามารถนำเข้าได้

เมื่อคุณได้เลือกอุปกรณ์ที่มีดิสก์มัลติ-เซสชัน ที่คุณต้องการนำเข้าแล้ว กดปุ่ม ตกลงและข้อมูลจะถูกนำเข้า ไปยังโปรเจ็คของคุณ ข้อมูลที่นำเข้าไม่สามารถย้ายหรือลบออกจากดิสก์ได้ ไฟล์และโฟลเดอร์ที่นำเข้าทั้งหมดจะถูกแสดงเป็นข้อความสีเทา

เมื่อทำการสร้างเซสชันใหม่เสร็จแล้วและต้องการเพิ่มข้อมูลใหม่ไปยังดิสก์ , ให้ใช้เมนูอันใดอันหนึ่ง ระหว่าง:
งาน [image] เบิร์นรายการ [image] ไปยังคอมแพกต์ดิสก์...
หรือใช้ปุ่มนี้บนแถบเครื่องมือ:


ตั้งค่าโปรเจ็ค

วิธีใช้?, การทำงานกับโปรเจ็ค
ตั้งค่าโปรเจ็ค
This topic covers the project settings that are accessible from the menu:
แฟ้ม [image] คุณสมบัติของโปรเจ็ค...

การตั้งค่าทั่วไป

The only general setting that you are able to change is the disc label. The default suggested label is based on the date and time of when the project was created. Please note that the label applies to the same restrictions as general file names in the project (ดูที่ ตั้งค่า ISO)

ตั้งค่า ISO

ระดับ

This option sets the ISO conformance level which basicly are different levels of file name restrictions. There are three levels supported in InfraRecorder:

  1. Level 1 uses file names in the 8.3 format (eight characters with a three-character extension), upper case letters, numbers and underscore. The maximum directory depth is eight.
  2. Level 2 allows file names to be up to 31 characters long.
  3. Level 3 allows files to be fragmented (mainly to allow packet writing, or incremental CD recording).
  4. Level 4 does not really exist, but when selected the ISO-9660:1999 (which is ISO-9660 version 2) standard is used. This standard allows file names to be up to 207 characters long and the directory structure may be more than eight levels deep.

ชุดอักขระ

Defines the character set used in the local file names included in the project. InfraRecorder tries to automatically detect the character set used on your system.

รูปแบบ

This option specifies the format that should be used when writing your project data to a disc. Mode 1 is normally used when creating regular non multi-session discs while Mode 2 should be used when creating multi-session discs. Mode 1 allows 2048 bytes of data per sector, Mode 2 allows 2336 bytes of data per sector (A CD-ROM sector is 2352 bytes large).

ตัวเลือกอื่นๆ

The Use Joliet file name extension adds Joliet directory records to the disc in addition to regular ISO9660 file names. The joliet extension is commonly used on Windows systems and allows unicode file names with a maximum length of 64 characters.

If you want to use even longer file names you can enable the Allow more than 64 characters for Joliet names option. This is not fully compatible with the Joliet specification but seems to work. The maximum character length is extended to 103 characters.

Enable the Use Rock Ridge extensions option to generate SUSP and RR records using the Rock Ridge protocol to further describe the files on the iso9660 file system.

The Include UDF support in the generated file system option is self explanatory. UDF support is currently in alpha status, and for this reason it's not possible to generate UDF only filesystems.

The Omit version number from ISO9660 file names option is self explanatory.

Fields

This secion contains options to specify information about the people behind the CD-project. The Publisher, Preparer, System and Volume set fields should be edited directly, the other fields often contains file names due to the limited character length of 36 characters.

ตั้งค่าเสียง

This secion allows you to create CD-Text information. CD-Text is a format supported by some (many?) CD-players that allows track and artist information to be displayed when the CD is playing. These options are available in audio and mixed-mode projects.

ตั้งค่าการบู้ต

This section is only available on data projects and allows you to specify up to 63 boot images that will be used to create an "El Torito" bootable disc. To add a new boot image to the project, click the Add boot image button:

Boot Catalog

This option specifies the path and filename of the boot catalog to be used when making an "El Torito" bootable disc. The path name should be relative to the root on the disc. The file will be inserted into the output tree and not created in the source filesystem. Please make sure that the specified file name does not conflict with an existing file.


เพิ่มบู้ตอิมเมจ

วิธีใช้?, การทำงานกับโปรเจ็ค
เพิ่มบู้ตอิมเมจ

There are several options that you may need to configure when adding a boot image to your project.

Local Path

In this field you should specify the local path of the selected boot image. The path is relative to the root folder of the disc. For example: /boot/ will create a folder called boot in the root that contains the file that you have selected.

Emulation Type

This option lets your specify the type of emulation that should be used on the "El Torino" boot disc. If the emulation type is set to Floppy, the boot image must be exactly the size of a 1200, 1440 or 2880 KiB floppy. If the emulation type is set to Harddisk, the boot image must begin with a master boot record that contains a single partition. Using no emulation will cause the system to load and execute the image without performing any disc emulation.

ตัวเลือกขั้นสูง

The Don't make image bootable option allows you to prevent the disc from beeing marked as bootable. The system will provide an emulated drive for the image, but will boot off a standard boot device.

Enabling the Write boot-info-table to the image option will cause the boot image to be patched at offset 8 with a 54-byte table containing information about the disc layout. If this option is enabled the local boot image that you have specified will be patched, so make sure that you have a backup of this file if it can't be easily regenerated.

The Boot load segment option allows you to specify the load segment address (in hexadecimal) for no-emulation "El Torito" discs.

The Boot load size option allows you to specify the number (in hexadecimal) of virtual (512-byte) sectors to load in no-emulation mode. It's usually recommended to load the entire boot file. Some BIOSes may have problems if this size is not a multiple of 4.


เบิร์นอิมเมจ

วิธีใช้?
เบิร์นอิมเมจ
ในการเบิร์น/บันทึกดิสก์อิมเมจ คุณสามารถใช้เมนูอันใดอันหนึ่ง:
งาน [image] เบิร์นอิมเมจ...
หรือปุ่มเครื่องมือ:

โปรแกรมจะให้เลือกดิสก์อิมเมจบนฮาร์ดดิสก์ของคุณที่คุณ ต้องการที่จะบันทึก

ตัวเลือก

คำอธิบายอย่างละเอียดของตัวเลือกที่มีให้สามารถดูได้ในหัวข้อนี้


ตัวเลือกการอ่าน

ตัวเลือกการอ่าน

This topic covers the read options that appear on various places in InfraRecorder, for example when you want to copy a disc either to a disc image or to another disc.

Altough these options are accessable in many different contexts as mentioned above, they are always presented in a similar way:

Read Settings

Ignore read errors

Enabling this option will cause the high level error checking not to abort when errors are found in the data stream. The drive will also be switched into a mode where it ignores read errors in data sectors that are a result of uncorrectable ECC/EDC errors before reading.

Read all sub-channel data and the full TOC

When this option is enabled the disc will be read with all sub-channel data and a full TOC. The full TOC data will be put into a file with similar name to the specified image name but with the suffix .toc.

Read speed

Select the speed to use when reading the disc. Selecting the Maximum option will automatically select the highest speed that the drive is capable of. Only MMC compliant drives will benefit from this option. The speed of non MMC drives is not changed.

Using a lower speed may increase the readability of a disc.


ตัวเลือกการเบิร์น

ตัวเลือกการเบิร์น

This topic covers the burn/recording options that appear on various places in InfraRecorder, for example when you want to burn a custom compilation, a disc image, or copy a disc.

Altough these options are accessable in many different contexts as mentioned above, they are always presented in a similar way:

ตั้งค่าทั่วไป

คัดลอกด่วน

When recording on the fly the file system will be generated while recording which may increase the risk of write errors. If this option is turned off a temporary disc image will first be created on the hard drive and then recorded to the disc. The preffered setting is usally off, it should gernally only be enabled when you are low on disc space.

ตรวจสอบดิสก์หลังการเขียน

Enabling this option will cause InfraRecorder to perform a CRC comparison between the files on your harddrive and the files on the newly recorded disc to make sure that all files have been written to the disc without any problems.

ความเร็วการเขียน

Select the write speed to use when recording the disc. Selecting the Maximum option will automatically select the highest speed that the recorder is capable of.

วิธีเขียน

This option selects what method that you want to use when recording the disc. Only the options that your recorder supports will be available in the combo box.

Session-At-Once (SAO) often refered to as Disc-At-Once (DAO) writes all of the data (including lead-in and lead-out) in one pass. Not allowing any interruptions in the data stream. Additional session/data can not be added at a later time. Please note that DVDs must be written using this method.

Track-At-Once (TAO) writes each track independently which requires link blocks between two tracks. Older recorders often forces a two second pause (pregap) between two tracks whereas newer recorders often can adjust the amount of pregap data (see the option described below).

TAO with zero pregap uses the Track-At-Once method described above and tries to set the pregap data length to zero, reducing the number of link blocks between the tracks to a minimal amount.

Raw writing (raw96r) writes data in raw mode using 2352 byte sectors plus 96 bytes of raw P-W subchannel data resulting in a sector size of 2448 bytes. This is the preferred raw writing mode since it gives the best control over the CD writing process.

Raw writing (raw16) writes data in raw mode using 2352 bytes sectors plus 16 bytes of P-Q subchannel data resulting in a sector size of 2368 bytes. If a recorder does not support the raw96r raw writing mode, this is the preferred raw writing mode. This write method does not support CD-Text.

Raw writine (raw96p) writes data in raw mode using 2352 byte sectors plus 96 bytes of raw P-W subchannel data resulting in a sector size of 2448 bytes. This is the less preferred raw writing mode, mainly because only a very few recorders support it and some of these recorders have bugs in the firmware implementation. Don't use this method if your recorder supports the raw96r or raw16 raw writing method.

Important: Please note that raw write methods requires significantly more CPU-time than the other write methods. If your CPU is too slow you might get problems with buffer underruns.

ตัวเลือกอื่นๆ

Activating the Simulation option will cause InfraRecorder to perform the selected action but with the recorder's laser turned off. This option is recommended if you are unsure if the operation will succeed or not.

Buffer underrun protection is a feature in most newer recorders which allows the writing process to continue even if a buffer underrun error occurr. This feature often have different names by different vendors, for example: Yamaha Lossless-Link, Sanyo BURN-Proof, Ricoh Just-Link, etc.

The Pad data tracks option will when enabled cause 15 sectors containing zeros to be written after each data track and audio track data to be padded to be a multiple of 2352 bytes. The reason why you might want to enable this option is if your CD-reader has problems reading the last sectors of a track or if you intend to use the disc on a Linux ISO-9660 filesystem with the read ahead bug.

Disabling the Fixate the disc after writing option will cause the last session (if using SAO mode) or track (if using a TAO mode) not to be fixated (closed). This can be usefull if you want to record a CD in multiple steps.

ตัวเลือกขั้นสูง

The Allow overburning option allows you to write more than the official size to a medium. The fact is that most blank media can hold more space than the official size, as the official size of the lead-out area on a disc is 90 seconds (6750 sectors) and a disc usually works if there are at only 150 sectors of lead-out. All media may be overburned by atleast 88 seconds (6600 sectors). Most recorders can only do overburning using the SAO and raw write methods. Some recorders does not allow you to do as much overburning as you would like and limits the size of a disc to certain size. This problem may be circumvented by writing the CD in raw mode because this way the recorder has no chance to find the medium size before starting the recording process.

When the Swap audio byte order option is enabled audio data is assumed to be in byte-swapped (little-endian) order. Some type of recorders for example from Yamaha, Sony and the new SCSI-3/MMC recorders require audio data to be presented in little-endian order, while other recorders require audio data to be presented in big-endian (network) byte order normally used by the SCSI protocoll. The byte order required by your recorder will automatically be detected. The only time you may want to use this option is if your data stream is in Intel (little-endian) order.

Ignore medium size can be enabled when you want to ignore the known size of the medium. It should be used with extreme care. This option implies overburning.

The Set the SCSI IMMED flag option will, as the name suggest set the IMMED flag for certain SCSI commands. Setting the IMMED flag will request the commands to return immediateley while the operation proceeds in the background, making the bus usable for other devices and avoiding a system freeze. This can be usefull on broken system with ATAPI harddisk and CD/DVD-writer or the same bus or with SCSI systems that don't use disconnect/reconnect. These systems will freeze while blanking or fixating a disc or while the recorder is filling up a session to the minimum amount. Please note that not all recorders support the IMMED flag.

Yamaha Audio Master Q. R. is a feature which is used to create high quality audio discs that have less reading problems in Hi-Fi players. It is implemented as a variant of the SAO write mode so it will only work if you select the Session-At-Once (SAO) write method. This feature does not work with all writing speeds and does not allow the same amount of data to be written to a disc due to that fact that the pits on the CD will be larger than normal. If this feature is enabled, a 74 minute CD will have the capacity of 63 minutes and a 80 minute CD will have the capacity reduced to 68 minutes. This feature also works with data discs.

The Forcespeed mode option forces the drive to use the selected write speed no matter of the quality of the medium. Normally modern drives know the highest possible speed for different media and may reduce the speed in order to grant the best write quality. This option should be used with caution, the recorder usually knows better which medium to write at full speed.

The Plextor VariRec write mode allows the user to slightly adjust the power of the laser. If configured properly this may reduce the jitter, resulting in better sound quality and increased playability and compatibility with existing CD-players. VariRec only works when the write speed is set to four.


คัดลอกดิสก์เพลง

คัดลอกดิสก์เสียง(เพลง)
Copying an audio disc requires more steps than copying a data disc. First you must save the audio tracks on your hard drive. To do so, open the tracks dialog by:
Actions [image] Manage Tracks...
The windows should look similar to this screenshot when you have selected your source device and inserted an audio disc:
Now select the tracks you want to save (copy) by clicking and holding the shift or control button. When you have selected the tracks press the save tracks button:

You will now be prompted to select a target directory for the tracks. Please go ahead and select a folder of your choice. When you have selected a folder all the tracks that you have selected will be saved there (unless any major read errors occured).

You next step is to create a new audio project and add the tracks you just saved to it. Please read this topic for more information.


คัดลอกดิสก์ข้อมูล

คัดลอกดิสก์ข้อมูล

Please note that this page contains information on how to copy a data disc. If you want to copy an audio disc (which is an entirely different process) please see this topic.

When you want to copy a data disc you have two main options which is if you want to copy the disc directly to another drive (for example from a CD-reader to a CD-recorder) or to a disc image on your hard drive.

Copy to a Compact Disc

To copy a disc directly to another drive, use the menu:
Actions [image] Copy Disc [image] to a Compact Disc...
or the toolbar button:

Source

Select the source drive which contains the compact disc that you want to make a copy of.

Target

Select the target drive which contains the empty compact disc that you want to write the copy to. Please note that the target drive can not be the same as the source drive.

On The Fly

Writing on the fly means that the data will be read from the source drive and then directly written to the target (recorder) without any buffering on your hard drive (only a relatively small memory buffer is used). If your source drive would fail to read some sectors on the source disc it might not be able to supply the target (recorder) with data fast enough, resulting in write errors on the target disc. However most new recorder offer some kind of buffer underrun protection technology that should protect the targe disc if this event occurs.

When the On the fly option is disabled a temporary disc image will first be created on your hard drive. The disc image will then be written to the target drive. Using this option requires more free disc space on your hard drive but is recommended in most cases.

Clone Disc

When this option is enabled all sub-channel data and the full TOC on the source disc will also be copied to the target disc. This option must be enabled when copying a mixed-mode disc, otherwise only the data track will be copied. It's recommended that your record the target disc using the raw96r write method. If that method is not supported by your recorder, please try the raw16 write method.

Read Options

The read options are described in this topic.

Other Options

The other options are described in this topic.

Copy to a Disc Image

To copy a disc to a disc image on the hard drive, use the menu:
Actions [image] Copy Disc [image] to a Disc Image...

Source

Select the source drive which contains the compact disc that you want to make a copy of.

Image File

Select the location and name of the disc image. Please note that you will approximateley need the same amount of size avaiable on your hard drive as the compact disc contains.

Read Options

The read options are described in this topic.


ข้อมูลดิสก์

ข้อมูลดิสก์
To view detailed information about a disc, please use the menu:
Actions [image] Disc Information [image] <select the drive containing the disc that you're interested in>

Field Information

The Disc type field displays what type of disc that is inserted in the drive. For example: CD-R, DVD+R DL.

The Book type field is only valid on DVD discs and displays of what book type the DVD is.

The Region field displays what region encoding the DVD has. The region number can be resolved into the following regions:

  1. United States of America, Canada.
  2. Europe, including France, Greece, Turkey, Egypt, Arabia, Japan and South Africa.
  3. Korea, Thailand, Vietnam, Borneo and Indonesia.
  4. Australia and New Zealand, Mexico, the Caribbean, and South America.
  5. India, Africa, Russia and former USSR countries.
  6. Peoples Republic of China.
  7. Unused.
  8. Airlines and cruise ships.
  9. Expansion (often used as region free).

The Layers field displays the number of layers on the disc.

The Tracks field displays the number of tracks on the disc.

The Sessions field displays the number of sessions on the disc.

The Status field displays information about the disc and session status as well as information on if the disc is erasable or not.

The Used space field displays the amount of used space on the disc.

The Free space field displays the amount of free space on the disc.


ลบดิสก์

ลบดิสก์
เพื่อลบดิสก์ที่สามารถเขียนซ้ำได้, คุณสามารถใช้เมนูอันใดอันหนึ่ง ระหว่าง:
งาน [image] ลบดิสก์แบบเขียนซ้ำได้...
หรือใช้ปุ่มนี้บนแถบเครื่องมือ:

Recorder

Please select the recorder that you want to use for erasing the disc.

Erase Method

Select one of the four erase methods to use. The Erase the entire disc method will destroy all data on the disc. This operation may take a long time. Using the Minimally erase the disc method will only cause the table of contents (TOC), PMA and pregap to be erased. Basicly the actual data is never erased from the disc (it will not be accessible), the data will instead be overwritten when you write to the disc the next time. This method is very fast can can often be done in about 10 seconds. The Unclose last session method uncloses the last session (on a closed multi-session disc) allowing more sessions to be added to the disc. The last method Erase last session will simply just erase the last session on the disc. This may take long or short time depending on the size of the session.

Other Options

If the table of contents (TOC) for some reason has been damaged on a disc, InfraRecorder will not erase the disc unless the Ignore illegal TOC option is set.

Activating the Simulation option will cause InfraRecorder to perform the selected action but with the recorder's laser turned off. This option is recommended if you are unsure if the operation will succeed or not.


Fixate Disc

Fixate Disc
A fixated disc is a disc that is considered to be finished. Fixation is normally automatically done after recording data to a disc. This tool is usefull if data has been written but the disc for some reason hasn't been fixated. To fixate a disc, use the menu:
Actions [image] Fixate Disc...

Recorder

Please select the recorder that contains the disc that you want to fixate.

Other Options

Activating the Simulation option will cause InfraRecorder to perform the selected action but with the recorder's laser turned off. This option is recommended if you are unsure if the operation will succeed or not.


จัดการแทร็ค

จัดการแทร็ค
The Manage Tracks tool displays table of contents (TOC) information about a certain disc. It does also offer tools to save and verify selected tracks. To open the track manager, use the menu:
Actions [image] Manage Tracks...

Select the tracks that you want to work with by clicking the mouse while pressing the shift or control key. You can also use the keyboard arrows to navigate and select in the track list.

When you save tracks to your hard drive you will be prompted to select a target directory. The tracks will then automatically be saved and named by their track number and type (Track 1.wav, Track 2.iso). To save the selected tracks to you hard drive, press the save tracks button:
To scan the selected tracks for errors, use the verify tracks button:

Screenshots

ผลลัพธ์หลังการพิสูจน์แทร็คข้อมูล:


การตั้งค่าอุปกรณ์

การตั้งค่าอุปกรณ์
If you have many any changes in your hardware configuration you probably want to make InfraRecorder aware of the changes. To display the InfraRecorder device configuration, use the menu:
ตัวเลือก [image] อุปกรณ์...

You will now see a list of devices that have been detected by InfraRecorder. If you want to update the configuration, press the Rescan button. This will cause InfraRecorder to perform a full system scan gather information about all supported devices.

If you want InfraRecorder to silently validate the configuration everytime you start it, enable the Silently validate the configuration at startup option.


การตั้งค่า

การตั้งค่า
To access the InfraRecorder configuration, use the menu:
Options [image] Configuration...

ตั้งค่าทั่วไป

The Check if autorun is enabled on each startup option specifies whether you want InfraRecorder to check if autorun enabled on each startup or not. It is recommended that autorun is turned of because leaving autorun enabled causes Windows to poll the CD drive while recording, which might damage your CD.

If you want InfraRecorder to remember the last active folder in the Explorer View you should check the Remember the last active folder option. You can also specify a folder on your own that will be the default every time InfraRecorder starts.

The Temporary folder option lets you specify which folder that should be used when temporarily storing files on your harddrive, for example disc images. If your harddrive/partition (which stores the temporary folder) is almost full it can be a good idea to use a temporary folder on another drive.

ตั้งค่าขั้นสูง

If you want to enable the log feature of InfraRecorder, enable the Enable program log option. This can be usefull when trying to locate a possible bug/error in InfraRecorder. It's not recommended that you enable log support if you do not intend to log a special event because InfraRecorder requires more memory and CPU-time when the log support is enabled.

The Enable smoke effect option enables or disables the smoke effect displayed during writing processes. The smoke effect requires Windows Vista Aero to be enabled. If Aero is not enabled this option will have no effect.

The FIFO buffer size option lets you specify the size of the RAM buffer that is used in addition to your recorders physical buffer. Icreasing the buffer size may result in a more stable recording process. As a rule of thumb, the FIFO size should be at least equal to the size of the pysical buffer of the CD/DVD-Recorder and no more than half of the physical amount of RAM available in the machine. If you often record discs on-the-fly, this buffer should be large (for example 128 MiB) to prevent buffer underruns.

ตั้งค่าภาษา

A list of available languages are displayed in the combo box. To change language, simply select the language you want in the combo box, click the OK-button and restart InfraRecorder. If your language is not available, check the InfraRecorder website to see if a translation in your language exists.

Shell Extension

The shell extension (when enabled) adds additional menu entries to the shell context menu:

It adds the options to record disc images and InfraRecorder projects just by right-clicking on them.

The shell extension can be customized to display the items in a submenu. To display the context menu items in a submenu enable the Display context menu items in a submenu option.

It can also be customized to not display icons on the menu items by disabling the Display menu item icons option.

Register the Shell Extension

The shell extension does not work automatically with disc images and InfraRecorder projects. When enabling the Enalbe InfraRecorder shell extension, InfraRecorder tells Windows Explorer that it offer other applications to use it's extended features.

To make Windows Explorer use the additional features supplied by the InfraRecorder shell extension, the shell extension must be registered with the file types that should be able to use the extra features.

There are a set of predefined file extensions available in the list. To associate the InfraRecorder shell extension with a file type, just check the item in the list view. You can add any additional file types to the list by pressing the Add file extension button: